package com.redhat.jboss.support.controller;

import com.redhat.jboss.support.service.BatchService; 
import java.io.Serializable; 
import javax.annotation.PostConstruct;
import javax.faces.view.ViewScoped;
import javax.inject.Named;

@ViewScoped
@Named("batch")
public class BatchTestController implements Serializable {

	private static final long serialVersionUID = 1L;

	private BatchService service;

	private String resultInfo;

	@PostConstruct
	public void init() {
        System.out.println("BatchTestController#init");
		service = new BatchService();
	}

	public void batchInJarStart() {
        System.out.println("BatchTestController#batchInJarStart");
		resultInfo = service.start("batchInJar");
	}

	public void batchInWarStart() {
        System.out.println("BatchTestController#batchInWarStart");
		resultInfo = service.start("batchInWar");
	}

	public String getResultInfo() {
        System.out.println("BatchTestController#getResultInfo" + resultInfo);
		return resultInfo;
	}

	public void setResultInfo(String resultInfo) {
        System.out.println("BatchTestController#setResultInfo" + resultInfo);
		this.resultInfo = resultInfo;
	}

}
